/**
 * @package 	WordPress
 * @subpackage 	Green Farm
 * @version 	1.0.0
 * 
 * WooCommerce Responsive CSS Rules
 * Created by CMSMasters
 * 
 */



@import "../../../../theme-framework/css/less/general.less";

@monitor_phone_tablet: ~'(min-width: 600px) and (max-width: 1024px)';


@media only screen {
/*-------------------------------------------------------------------------*/
/* Medium Monitor
/*-------------------------------------------------------------------------*/
@media @monitor_medium {
	.cmsmasters_products {
		outline:none;
	}
}



/*-------------------------------------------------------------------------*/
/* Tablet Monitor
/*-------------------------------------------------------------------------*/
@media @monitor_tablet {
	#page .cmsmasters_dynamic_cart {
		.dn;
	}
	
	.fullwidth .middle_content .cmsmasters_products, 
	.cmsmasters_products_shortcode .columns-4 .cmsmasters_products, 
	.cmsmasters_selected_products_shortcode .columns-4 .cmsmasters_products {
		.product {
			width:round((100% / 2) - (@col_mar * 2), 2);
			
			&:nth-child(4n+1) {
				clear:none;
			}
			
			&:nth-child(2n+1) {
				clear:left;
			}
		}
	}
	
	.enable_header_centered .cmsmasters_dynamic_cart_wrap,
	.cmsmasters_dynamic_cart_wrap {
		.dn;
	}
	
	ul.order_details {
		li {
			width:50%;
		}
	}
}

@media @monitor_phone_tablet {
	.three_fourth,
	.two_third {	
		.cmsmasters_products_shortcode .columns-3 .cmsmasters_products .product, 
		.cmsmasters_selected_products_shortcode .columns-3 .cmsmasters_products .product {
			width:round((100% / 2) - (@col_mar * 2), 2);
			clear:none;
			
			&:nth-child(2n+1) {
				clear:both;
			}
		}
	}
}



/*-------------------------------------------------------------------------*/
/* Small Tablet Monitor
/*-------------------------------------------------------------------------*/
@media @monitor_tablet_small {
	.col2-set {
		> * {
			width:round(100% - (@col_mar * 2), 2);
			margin-bottom:40px;
			float:none;
			.cl;
			
			&:last-child {
				margin-bottom:0;
			}
		}
	}
	
	.cmsmasters_single_product {
		.cmsmasters_product_left_column {
			width:100%;
			float:none;
			padding:0 0 40px;
		}
		
		.cmsmasters_product_right_column {
			width:100%;
			float:none;
			padding:0;
		}
	}
	
	.shop_table.cart {
		display:block;
		.tac;
		.ovh;
		
		tbody, 
		tr, 
		th, 
		td {
			display:block;
			.tac;
			.ovh;
		}
		
		thead {
			.dn;
		}
		
		.cart_item {
			padding:20px 0;
			position:relative;
			.bdb;
		}
		
		td {
			padding:15px;
			.bd(0);
			.bxsh_none;
		}
		
		tr:first-child td {
			.bd(0);
		}
		
		.product-remove {
			padding:0;
			position:absolute;
			left:auto;
			right:0;
			top:20px;
			z-index:1;
		}
		
		.product-thumbnail {
			width:auto;
			padding-left:0;
			padding-right:0;
			.tac;
			
			img {
				width:80px;
			}
		}
		
		.product-price, 
		.product-quantity, 
		.product-subtotal {
			display:inline-block;
			width:33.33%;
			margin:0 -2px;
			vertical-align:middle;
		}
		
		.product-price {
			.tar;
		}
		
		.product-quantity {
			padding-left:0;
			padding-right:0;
		}
		
		.product-subtotal {
			.tal;
		}
		
		.actions {
			.tac;
			
			.coupon {
				padding:0 0 20px;
				float:none;
				.tac;
			}
			
			.input-text {
				display:block;
				margin:0 auto 10px;
			}
		}
	}
	
	.shop_table.woocommerce-checkout-review-order-table, 
	.shop_table.order_details {
		th, 
		td {
			padding:10px 15px;
		}
	}
	
	.cart_totals {
		table {
			width:100%;
		}
	}
	
	ul.order_details {
		li {
			padding:10px 15px;
			position:relative;
			.fl;
			.ovh;
			
			&:before {
				content:none;
			}
			
			strong {
				display:block;
				margin:10px -15px -10px;
				padding:10px 15px;
			}
		}
	}
	
	.shop_table.cart .product-quantity {
		padding:10px 0;
	}
}



/*-------------------------------------------------------------------------*/
/*	Tablet Monitor 600
/*-------------------------------------------------------------------------*/
@media @monitor_tablet_600 {
	.r_sidebar .content, 
	.l_sidebar .content {
		.related .cmsmasters_products {
			.product {
				width:round(100% - (@col_mar * 2), 2);
				float:none;
				.cl;
				
				&:nth-child(n) {
					.cl;
				}
			}
		}
	}
	
	.cmsmasters_products_shortcode, 
	.cmsmasters_selected_products_shortcode {
		.columns-3 {
			.cmsmasters_products {
				.product {
					width:round(100% - (@col_mar * 2), 2);
					float:none;
					.cl;
					
					&:nth-child(n) {
						.cl;
					}
				}
			}
		}
	}
}



/*-------------------------------------------------------------------------*/
/* Phone Monitor
/*-------------------------------------------------------------------------*/
@media @monitor_phone {
	.form-row {
		width:round(100% - (@col_mar * 2), 2);
		float:none;
		.cl;
	}
	
	.woocommerce-message, 
	.woocommerce-info {
		.tac;
	
		.button {
			display:block;
			margin-right:0;
			.tac;
		}
	}
	
	table.variations {
		select {
			display:block;
		}
		
		.reset_variations {
			display:inline-block;
			margin:10px 0 0;
		}
	}
	
	.r_sidebar .content, 
	.l_sidebar .content, 
	.fullwidth .middle_content {
		.cmsmasters_products, 
		.related .cmsmasters_products {
			.product {
				width:round(100% - (@col_mar * 2), 2);
				float:none;
				.cl;
				
				&:nth-child(n) {
					.cl;
				}
			}
		}
	}
	
	.cmsmasters_products_shortcode, 
	.cmsmasters_selected_products_shortcode {
		.columns-4, 
		.columns-3, 
		.columns-2, 
		.columns-1 {
			.cmsmasters_products {
				.product {
					width:round(100% - (@col_mar * 2), 2);
					float:none;
					.cl;
					
					&:nth-child(n) {
						.cl;
					}
				}
			}
		}
	}
	
	.cmsmasters_woo_wrap_result {
		.woocommerce-result-count {
			padding:0 10px 20px;
			float:none;
			.tac;
		}
		
		.woocommerce-ordering {
			float:none;
		}
	}
	
	.cmsmasters_single_product {
		.cmsmasters_product_thumbs {
			.cmsmasters_product_thumb {
				width:60px;
			}
		}
		
		.cmsmasters_product_info_wrap {
			float:none;
			padding:0 0 30px;
			.tal;
		}
		
		.price {
			.tal;
		}
		
		.cmsmasters_star_rating {
			float:none;
		}
	}
	
	.woocommerce-checkout-payment {
		padding:20px 15px;
		
		.place-order {
			.terms {
				display:block;
				padding:15px 0 0;
			}
		}
	}
	
	ul.order_details {
		li {
			width:100%;
			float:none;
		}
	}
}
@media @monitor_phone_small {
	.woocommerce-page:not(.woocommerce-cart) .cmsmasters_boxed .content_wrap.fullwidth {
		margin:0 -20px;
	}
}
}

